/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:v29116.c 12.0$ */
/* $ACIS:v29116.c 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/aedtest/RCS/v29116.c,v $ */

#ifndef lint
static char *rcsid = "$Header:v29116.c 12.0$";
#endif

/* v29116.c */
#include "vikst.h"

#ifdef BSD  
  extern FILE *out,*spool;
	extern dumpspool();
	extern int v_control;
#endif

t29116()
{ UINT16 i,a,d,errs;
  extern UINT16 zero;
  errs = 0;
  load("29116.vkt");
  for (i=1; i<=steps; i++)
      {
#ifndef NOTIMEOUT
	 if (look(&a,&d,&d)) a2b("Time-out in 29116/2910 step %d\n",i);
#else
	 if (look(&a,&d,&d))
		{
		 p2d("\007Time-out in 29116/2910 step %d -- continuing\n",i);
		p2d("look returned %x\n",a);
		dumptime();
		return(0);
		}
#endif
	if (a != i) { p3d("29116 Step sequencing error, exp/got = %d/%d\n",i,a);
		      errs++;
		    }
	zero = 0;
	VIKCONT;
      }
  return(errs);
}
